atm: iphase: Fix Spectre v1 vulnerability [Linux 4.9.189]

This Linux kernel change "atm: iphase: Fix Spectre v1 vulnerability" is included in the Linux 4.9.189 release. This change is authored by Gustavo A. R. Silva <gustavo [at] embeddedor.com> on Tue Jul 30 22:21:41 2019 -0500. The commit for this change in Linux stable tree is b5641e5 (patch) which is from upstream commit ea443e5. The […]

atm: iphase: Fix Spectre v1 vulnerability [Linux 4.4.189]

This Linux kernel change "atm: iphase: Fix Spectre v1 vulnerability" is included in the Linux 4.4.189 release. This change is authored by Gustavo A. R. Silva <gustavo [at] embeddedor.com> on Tue Jul 30 22:21:41 2019 -0500. The commit for this change in Linux stable tree is eee434d (patch) which is from upstream commit ea443e5. The […]

atm: iphase: Fix Spectre v1 vulnerability [Linux 4.19.66]

This Linux kernel change "atm: iphase: Fix Spectre v1 vulnerability" is included in the Linux 4.19.66 release. This change is authored by Gustavo A. R. Silva <gustavo [at] embeddedor.com> on Tue Jul 30 22:21:41 2019 -0500. The commit for this change in Linux stable tree is cb46267 (patch) which is from upstream commit ea443e5. The […]

atm: iphase: Fix Spectre v1 vulnerability [Linux 4.14.138]

This Linux kernel change "atm: iphase: Fix Spectre v1 vulnerability" is included in the Linux 4.14.138 release. This change is authored by Gustavo A. R. Silva <gustavo [at] embeddedor.com> on Tue Jul 30 22:21:41 2019 -0500. The commit for this change in Linux stable tree is 12f036d (patch) which is from upstream commit ea443e5. The […]

atm: iphase: Avoid copying pointers to user space. [Linux 5.2]

This Linux kernel change "atm: iphase: Avoid copying pointers to user space" is included in the Linux 5.2 release. This change is authored by Fuqian Huang <huangfq.daxian [at] gmail.com> on Wed May 15 08:42:48 2019 +0800. The commit for this change in Linux stable tree is 55c0dd8 (patch). atm: iphase: Avoid copying pointers to user […]

net: atm: Fix potential Spectre v1 vulnerabilities [Linux 5.1]

This Linux kernel change "net: atm: Fix potential Spectre v1 vulnerabilities" is included in the Linux 5.1 release. This change is authored by Gustavo A. R. Silva <gustavo [at] embeddedor.com> on Mon Apr 15 15:57:23 2019 -0500. The commit for this change in Linux stable tree is 899537b (patch). net: atm: Fix potential Spectre v1 […]

net: atm: Add another IS_ENABLED(CONFIG_COMPAT) in atm_dev_ioctl [Linux 5.1]

This Linux kernel change "net: atm: Add another IS_ENABLED(CONFIG_COMPAT) in atm_dev_ioctl" is included in the Linux 5.1 release. This change is authored by Nathan Chancellor <natechancellor [at] gmail.com> on Thu Mar 7 11:11:26 2019 -0700. The commit for this change in Linux stable tree is 0805a4b (patch). net: atm: Add another IS_ENABLED(CONFIG_COMPAT) in atm_dev_ioctl I […]

net: atm: Use IS_ENABLED in atm_dev_ioctl [Linux 5.1]

This Linux kernel change "net: atm: Use IS_ENABLED in atm_dev_ioctl" is included in the Linux 5.1 release. This change is authored by Nathan Chancellor <natechancellor [at] gmail.com> on Thu Mar 7 09:57:42 2019 -0700. The commit for this change in Linux stable tree is f9d19a7 (patch). net: atm: Use IS_ENABLED in atm_dev_ioctl When building with […]

net: atm: Fix potential Spectre v1 vulnerabilities [Linux 5.0.10]

This Linux kernel change "net: atm: Fix potential Spectre v1 vulnerabilities" is included in the Linux 5.0.10 release. This change is authored by Gustavo A. R. Silva <gustavo [at] embeddedor.com> on Mon Apr 15 15:57:23 2019 -0500. The commit for this change in Linux stable tree is 11ba95c (patch) which is from upstream commit 899537b. […]

net: atm: Fix potential Spectre v1 vulnerabilities [Linux 4.9.171]

This Linux kernel change "net: atm: Fix potential Spectre v1 vulnerabilities" is included in the Linux 4.9.171 release. This change is authored by Gustavo A. R. Silva <gustavo [at] embeddedor.com> on Mon Apr 15 15:57:23 2019 -0500. The commit for this change in Linux stable tree is 79bce00 (patch) which is from upstream commit 899537b. […]

net: atm: Fix potential Spectre v1 vulnerabilities [Linux 4.4.179]

This Linux kernel change "net: atm: Fix potential Spectre v1 vulnerabilities" is included in the Linux 4.4.179 release. This change is authored by Gustavo A. R. Silva <gustavo [at] embeddedor.com> on Mon Apr 15 15:57:23 2019 -0500. The commit for this change in Linux stable tree is 423ffcd (patch) which is from upstream commit 899537b. […]

atm: he: fix sign-extension overflow on large shift [Linux 4.4.177]

This Linux kernel change "atm: he: fix sign-extension overflow on large shift" is included in the Linux 4.4.177 release. This change is authored by Colin Ian King <colin.king [at] canonical.com> on Tue Jan 15 18:03:38 2019 +0000. The commit for this change in Linux stable tree is 4949b72 (patch) which is from upstream commit cb12d72. […]

net: atm: Fix potential Spectre v1 vulnerabilities [Linux 4.19.37]

This Linux kernel change "net: atm: Fix potential Spectre v1 vulnerabilities" is included in the Linux 4.19.37 release. This change is authored by Gustavo A. R. Silva <gustavo [at] embeddedor.com> on Mon Apr 15 15:57:23 2019 -0500. The commit for this change in Linux stable tree is bcb9640 (patch) which is from upstream commit 899537b. […]

net: atm: Fix potential Spectre v1 vulnerabilities [Linux 4.14.114]

This Linux kernel change "net: atm: Fix potential Spectre v1 vulnerabilities" is included in the Linux 4.14.114 release. This change is authored by Gustavo A. R. Silva <gustavo [at] embeddedor.com> on Mon Apr 15 15:57:23 2019 -0500. The commit for this change in Linux stable tree is 9fac50c (patch) which is from upstream commit 899537b. […]

atm: he: fix sign-extension overflow on large shift [Linux 3.18.137]

This Linux kernel change "atm: he: fix sign-extension overflow on large shift" is included in the Linux 3.18.137 release. This change is authored by Colin Ian King <colin.king [at] canonical.com> on Tue Jan 15 18:03:38 2019 +0000. The commit for this change in Linux stable tree is f11255b (patch) which is from upstream commit cb12d72. […]

atm: he: fix sign-extension overflow on large shift [Linux 5.0]

This Linux kernel change "atm: he: fix sign-extension overflow on large shift" is included in the Linux 5.0 release. This change is authored by Colin Ian King <colin.king [at] canonical.com> on Tue Jan 15 18:03:38 2019 +0000. The commit for this change in Linux stable tree is cb12d72 (patch). atm: he: fix sign-extension overflow on […]

atm: Convert to using %pOFn instead of device_node.name [Linux 5.0]

This Linux kernel change "atm: Convert to using %pOFn instead of device_node.name" is included in the Linux 5.0 release. This change is authored by Rob Herring <robh [at] kernel.org> on Fri Nov 16 16:05:37 2018 -0600. The commit for this change in Linux stable tree is ee5b60e (patch). atm: Convert to using %pOFn instead of […]